Subject: bug#499: Smokeping service unable to stop/restart

From: ShadowM00n <[email-masked]>
Date: Tue, 28 Jul 2020 12:45:04 -0500

On 2020 Jul 28 11:04, Mark Hindley wrote:
> In Devuan this package is used directly from Debian without recompilation. In
> general for packages in that category, the bug reports should go to Debian's BTS
> to be fixed there as the bug will also be present in Debian.
> 
> Please could you report to [email-masked]? Once you have we can add the
> forwarded bug number/URL here.

I was going to do so, but I don't think this actually affects Debian.

I wanted to be sure before filing a bug with them, so I set up two VMs, 
one with stock Buster and one with stock Beowulf, both installed from 
netinstall images and without a DE. I found that despite the init files 
being identical (confirmed with md5sum) and the versions of both 
packages being 2.7.3-2 (confirmed with dpkg -s smokeping | grep 
Version), the behaviour is not -- the service actually stops correctly 
on Debian and fails to stop on Beowulf. I took a side-by-side screenshot 
showcasing all of this for reference. I can include it if it's deemed 
useful, though I'm not sure it is beyond merely confirming what I just 
wrote.

I am now uncertain how accurate my earlier analysis was given that the 
Debian system worked without my fix. Any suggestions on what else should 
be looked at?